> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rcur.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List follow-ups



## OpenAPI

````yaml /openAPI.json get /api/v2/follow-ups
openapi: 3.0.2
info:
  title: Laravel
  version: 2.0.0
servers:
  - url: https://rcur.app
security:
  - '': []
tags:
  - name: Customers
  - name: Payment Links
  - name: Subscriptions
  - name: Follow-ups
  - name: Orders
  - name: Payments
  - name: Mandates
  - name: Products
  - name: Organization
paths:
  /api/v2/follow-ups:
    get:
      tags:
        - Follow-ups
      summary: List follow-ups
      parameters:
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            default: 1
            type: integer
      responses:
        '200':
          description: List of follow-ups
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Followup'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      per_page:
                        type: integer
                        example: 15
                      total:
                        type: integer
                        example: 3
components:
  schemas:
    Followup:
      type: object
      required:
        - id
        - description
        - type
        - status
        - amount
        - currency
        - created_at
      properties:
        id:
          type: string
          example: fu_abc123
        description:
          type: string
          example: Failed payment for subscription
        type:
          enum:
            - both
            - link
            - retry
          type: string
          example: retry
        status:
          enum:
            - pending
            - solved
            - failed
          type: string
          example: pending
        amount:
          type: string
          example: '29.99'
        currency:
          enum:
            - EUR
          type: string
          example: EUR
        mollie_profile_id:
          type: string
          nullable: true
          example: pfl_abc123
        mollie_payment_id:
          type: string
          nullable: true
          example: tr_abc123
        reason:
          type: string
          nullable: true
          example: Insufficient funds
        reason_code:
          type: string
          nullable: true
          example: AM04
        retries_done:
          type: integer
          example: 2
        mails_sent:
          type: integer
          example: 1
        next_retry_at:
          type: string
          nullable: true
          example: '2025-02-01'
        created_at:
          type: string
          example: '2025-01-15 10:30:00'
        customer:
          type: object
          nullable: true
        subscription:
          type: object
          nullable: true
        order:
          type: object
          nullable: true

````